**Full name**: projects.locations.models.listCheckpoints

Lists checkpoints of the specified model version.

### Endpoint

get `https://{service-endpoint}/v1/{name}:listCheckpoints`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The name of the model version to list checkpoints for. `projects/{project}/locations/{location}/models/{model}@{version}` Example: `projects/{project}/locations/{location}/models/{model}@2` or `projects/{project}/locations/{location}/models/{model}@golden` If no version id or alias is specified, the latest version will be used.

### Query parameters

`pageSize` `integer` Optional. The standard list page size.
`pageToken` `string` Optional. The standard list page token. Typically obtained via `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/listCheckpoints#body.ListModelVersionCheckpointsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/listCheckpoints#google.cloud.aiplatform.v1.ModelService.ListModelVersionCheckpoints` call.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/listCheckpoints#google.cloud.aiplatform.v1.ModelService.ListModelVersionCheckpoints`

If successful, the response body contains data with the following structure:
Fields `checkpoints[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/listCheckpoints#ModelVersionCheckpoint`)`` List of Model version checkpoints.
`nextPageToken` `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/listCheckpoints#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "checkpoints": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/listCheckpoints#ModelVersionCheckpoint`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.models.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ModelVersionCheckpoint

> [!WARNING]
> This item is deprecated!

Describes the machine learning model version checkpoint.
Fields `checkpointId` `string` The id of the checkpoint.
`epoch` `string (https://developers.google.com/discovery/v1/type-format format)` The epoch of the checkpoint.
`step` `string (https://developers.google.com/discovery/v1/type-format format)` The step of the checkpoint.

| JSON representation |
|---|
| ``` { "checkpointId": string, "epoch": string, "step": string } ``` |